# Built against subversion source trees instead of released versions

%define ver      4265
%define dist	 .1.FC5

Name: libsdp
Version: 0.90
Release: 0.%{ver}%{?dist}.2.1
Summary: A library for direct userspace use of Sockets Direct Protocol

Group: System Environment/Libraries
License: GPL/BSD
Url: https://openib.org/svn/gen2/trunk
Source: %{name}-%{ver}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
ExclusiveArch: i386 ia64 x86_64 ppc64 ppc

%description
libsdp is an LD_PRELOAD-able library that can be used to have existing
applications use InfiniBand Sockets Direct Protocol (SDP) instead of
TCP sockets, transparently and without recompilation.  For information
on how to configure libsdp, see libsdp.conf, which is installed in
$(sysconfdir) (usually /usr/local/etc or /etc).

%prep
%setup -q -n %{name}-%{ver}
./autogen.sh
%configure

%build
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

# remove unpackaged files from the buildroot
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%{_libdir}/libsdp*.so*
%{_sysconfdir}/libsdp.conf
%doc COPYING ChangeLog NEWS README

%changelog
* Mon Apr 03 2006 Eddy Nigg <eddy_nigg@startcom.org>
- Rebuild for StartCom Linux 5.0.x

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 0.90-0.4265.1.FC5.2.1
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 0.90-0.4265.1.FC5.2
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Tue Nov 22 2005 Doug Ledford <dledford@redhat.com>
- Initial import to RHEL-4
